#include<bits/stdc++.h>
using namespace std;
int main(){
    int visinap, brst, visinast, izlaz=-1, mem;
    cin>>brst;
    cin>>visinap;
    for(int i=0; i<brst; i++){
        cin>>visinast;
		if(visinast<=visinap){
            mem=i+1;
        }
    }
    if(mem==0)
    {
        cout<<izlaz;
    }
    else
        cout<<"Perica je stao na "<<mem<<". stalaktitu";
}